(function() {
  var createMarker;

  window.prepareReviews = function() {
    $("#float-reviews .dropdown-menu").click(function(e) {
      return e.stopPropagation();
    });
    $('#write-review a').click(function() {
      $('#write-review, #user-reviews, #average-ratings').hide();
      $('#review-form').show();
      return false;
    });
    $('#cancel').click(function() {
      $('#write-review, #user-reviews, #average-ratings').show();
      $('#review-form').hide();
      return false;
    });
    $('.stars a').hover(function() {
      return $(this).closest('.stars').find('span').removeClass('r-0 r-1 r-2 r-3 r-4 r-5').addClass('r-' + $(this).text());
    });
    $('.stars').mouseout(function() {
      return $(this).closest('.stars').find('span').removeClass('r-0 r-1 r-2 r-3 r-4 r-5').addClass('r-' + $(this).attr('data-stars'));
    });
    return $('.stars a').click(function() {
      var stars;
      stars = $(this).closest('.stars');
      stars.attr('data-stars', $(this).text());
      stars.find('span').removeClass('r-0 r-1 r-2 r-3 r-4 r-5').addClass('r-' + $(this).text());
      return $("#doctor_review_" + (stars.data('field'))).val($(this).text());
    });
  };

  window.initializeMap = function() {
    var i, len, map, mapOptions, markerData, markers, markersData, ref, ref1, results;
    if ($("#map").length > 0) {
      markersData = $("#map").data("markers");
      console.log("Markers Data:", markersData);
      if (markersData) {
        markers = markersData;
        mapOptions = {
          zoom: 16,
          center: new google.maps.LatLng(((ref = markers[0]) != null ? ref.lat : void 0) || -34.397, ((ref1 = markers[0]) != null ? ref1.lng : void 0) || 150.644),
          mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        map = new google.maps.Map(document.getElementById("map"), mapOptions);
        results = [];
        for (i = 0, len = markers.length; i < len; i++) {
          markerData = markers[i];
          results.push(createMarker(markerData, map));
        }
        return results;
      }
    }
  };

  createMarker = function(markerData, map) {
    var infowindow, marker;
    marker = new google.maps.Marker({
      position: new google.maps.LatLng(markerData.lat, markerData.lng),
      map: map,
      title: markerData.title
    });
    if (markerData.infowindow) {
      infowindow = new google.maps.InfoWindow({
        content: markerData.infowindow
      });
      return google.maps.event.addListener(marker, 'click', function() {
        return infowindow.open(map, marker);
      });
    }
  };

  window.toggleTab = function(tab) {
    if (tab === "map") {
      $("a[data-div='#map-tab']").addClass("active");
      return $("#map-tab").show();
    } else {
      $("a[data-div='#map-tab']").removeClass("active");
      return $("#map-tab").hide();
    }
  };

  window.map_handler = function() {
    window.initializeMap();
    window.toggleTab("map");
    return $("a.showAddress").removeClass("showAddress");
  };

  $(function() {
    window.prepareReviews();
    $(window).bind('load', function() {
      if ($('.ajax_load').length < 1) {
        window.toggleTab("map");
        window.map_handler();
        $("a.showAddress").removeClass("showAddress");
        return $("a[data-div='#map-tab']").addClass("active");
      } else {
        return $(".showAddress").click(function(e) {
          e.preventDefault();
          return window.map_handler();
        });
      }
    });
    return $(".showAddress").click(function(e) {
      e.preventDefault();
      window.toggleTab("map");
      return $("a[data-div='#map-tab']").addClass("active");
    });
  });

}).call(this);
